<list-template titleList="Usuarios" #list [load]="service.loading | async" [service]="service" [canAdd]="false">
    <ng-container content-type="search-filter">
      <search-bar [service]="service" [columns]="columns" [activeColumn]="columns[0]"></search-bar>
    </ng-container>
    <table class="table table-striped table-bordered">
      <thead [class.border-bottom]="service.loading | async">
        <tr>
          <th>Codigo</th>
          <th>Nombre</th>
          <th>Email</th>
          <th>Tipo</th>
          <th>Bloqueado<th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let user of service.data">
          <td>{{ user.Id }}</td>
          <td>{{ user.UserName }}</td>
          <td>{{ user.Email }}</td>
          <td>{{ user.RoleName }}</td>
          <td>
              <span class="badge badge-sm text-white"
                [ngClass]="[user.IsLocked ? 'badge-danger' : 'badge-success']">
                {{ user.IsLocked ? 'Bloqueado' : 'Desbloqueado' }}
              </span>
          </td>
          <td class="table-action">
            <button class="btn btn-sm btn-info" (click)="list.onEdit(user)">
              <i class="mdi mdi-lead-pencil"></i>
            </button>
            <!-- <button class="btn btn-sm btn-danger" (click)="list.onDelete(user)">
              <i class="mdi mdi-delete"></i>
            </button> -->
          </td>
        </tr>
      </tbody>
      <tfoot>
        <tr>
            <td colspan="99" *ngIf="service.data.length === 0 && (service.loading | async) == false">
                No Hay Registros
            </td>
        </tr>
      </tfoot>
    </table>
  </list-template>

  <ng-template #form>
      <app-usuario-form></app-usuario-form>
  </ng-template>
  